import numeric.*;

public class Exc020102 {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setNumIterations(20);
		Function f = new TestFunction();
		new EquationDemoView(solver);
		try {
			solver.bisection(f, -1.25, 2.5);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
	}

	private static class TestFunction implements Function {
		public double value(double x) {
			return 3*(x+1)*(x-1.0/2)*(x-1);
		}
	}
}
