import numeric.*;
public class Exc020205 {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setTolerance(1E-2);
		TestFunction g = new TestFunction();
		new EquationDemoView(solver);
		try {
			solver.fixedPoint(g, 1);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
	}

	private static class TestFunction implements Function {
		public double value (double x) {
			return Math.pow(3*x*x+3,1.0/4.0);
//			return Math.pow(x + 1, 1.0/3.0); // Exercise 2.1.6
		}
	}
}
