import numeric.DecimalFloating;


public class Exm010203 {
	public static double relativeError(double exact, double approx) {
		return Math.abs((exact - approx) / exact);
	}
	
	public static void main (String[] args) {
		double x = 100.1;
		double y = 0.1001;
		double z = 0.1;

		DecimalFloating f = new DecimalFloating();
		f.setNumDigits(3);

		System.out.println("fl(x): " + f.fl(x));
		System.out.println("fl(y): " + f.fl(y));
		System.out.println("fl(z): " + f.fl(z));

		double diffXY = f.fl(f.fl(x) - f.fl(y));
		double diffXZ = f.fl(f.fl(x) - f.fl(z));
		double diffYZ = f.fl(f.fl(y) - f.fl(z));
		
		System.out.println("Pseudo ndryshimet:");
		System.out.println("x - y: " + diffXY);
		System.out.println("x - z: " + diffXZ);
		System.out.println("y - z: " + diffYZ);

		System.out.println("Gabimet relative:");
		System.out.println("x - y: " + relativeError(x - y, diffXY));
		System.out.println("x - z: " + relativeError(x - z, diffXZ));
		System.out.println("y - z: " + relativeError(y - z, diffYZ));
	}
}
