/**
 * <p>File: AbstractIterationTable.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: July 2009</p>
 * @author Faton M. Berisha
 * @version 5.0.0
 */

package numeric;

public abstract class AbstractIterationTable extends AbstractTable {

	private static final long serialVersionUID = 4;

	/**
	 * Initializes an abstract iteration table.
	 */
	public AbstractIterationTable() {
	}

	public Class<?> getColumnClass(int c) {
		return c > 0 ? Double.class : Integer.class;
	}

}
