/**
 * <p>File: Function.java</p>
 * <p>Title: Numerical methods</p>
 * <p>Description: Course on numerical analysis</p>
 * <p>Date: July 2009</p>
 * @author Faton M. Berisha
 * @version 5.0.0
 */

package numeric;

/**
 * Interface for a function.
 */
public interface Function {
	/**
	 * Returns a value of the function.
	 * 
	 * @param x
	 *            the argument
	 * @return the value
	 */
	public double value(double x);
}
