import numeric.*;

public class Exc020101 {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setNumIterations(10);
		Function f = new TestFunction();
		new EquationDemoView(solver);
		try {
			solver.bisection(f, 0, 1);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
		
/*		solver.setTolerance(1E-2);
		System.out.println(solver.bisection(f,0,1));
*/	}

	private static class TestFunction implements Function {
		public double value(double x) {
			return Math.sqrt(x) - Math.cos(x);
		}
	}
}
