import numeric.*;

public class Exc020106 {
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setTolerance(1E-4);
		new EquationDemoView(solver);
		Function f = new TestFunction();
		solver.bisection(f, 0.5, 1.5);
	}

	private static class TestFunction implements Function {
		public double value(double x) {
			return 2 + Math.cos(Math.exp(x) - 2) - Math.exp(x);
		}
	}
}
