import numeric.*;

public class Exm020101 {
	public static void main(String[] args) {
		EquationSolver solver = new EquationSolver();
		solver.setNumIterations(20);
//		solver.setTolerance(1E-4);
		solver.setTolerance(1E-3);
		Function f = new TestFunction();
		new EquationDemoView(solver);
		EquationDemoView.setNumSignificantDigits(10);
		try {
			solver.bisection(f, 1, 2);
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
		
/*		solver.setTolerance(1E-2);
		try {
		System.out.println(solver.bisection(f, 1, 2););
		} catch (ArithmeticException e) {
			System.err.println(e.getMessage());
		}
		System.out.println(solver.bisection(f, 1, 2););
*/
	}

	private static class TestFunction implements Function {
		public double value(double x) {
			return x*x*x + 4*x*x - 10;
		}
	}
}
