import numeric.*;

public class Exm030104 {
	public static void main(String[] args) {
		double[] x = { 1, 2, 3, 4, 6 };
		TestFunction f = new TestFunction();
		Matrix m = new Matrix(2, x.length);
		for (int j = 0; j < x.length; j++) {
			m.set(0, j, x[j]);
			m.set(1, j, f.value(x[j]));
		}

		int[] i = { 1, 2, 4 };

		AlgebraicPolynomial p = AlgebraicPolynomial.lagrange(m, i);
		new MatrixView("Koeficientt e polinomit interpolues t Lagrange-it",
				p.getCoefficient());
	}

	private static class TestFunction implements Function {
		public double value(double x) {
			return Math.exp(x);
		}
	}
}
